//
//  RWTViewController.m
//  CenteredImageScroller
//
//  Created by Main Account on 4/26/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "RWTViewController.h"
#import "RWTCenteredScrollView.h"

@interface RWTViewController () <UIScrollViewDelegate>

@property (nonatomic, strong) RWTCenteredScrollView *scrollView;
@property (nonatomic, strong) UIImageView *imageView;

@end

@implementation RWTViewController

- (void)viewDidLoad
{
  [super viewDidLoad];

  self.imageView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"zombies.jpg"]];
  
  self.scrollView = [[RWTCenteredScrollView alloc] initWithFrame:self.view.bounds];
  self.scrollView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
  self.scrollView.backgroundColor = [UIColor blackColor];
  self.scrollView.contentSize = self.imageView.bounds.size;
  [self.view addSubview:self.scrollView];
  
  [self.scrollView addSubview:self.imageView];
  
  self.scrollView.delegate = self;
  [self setZoomScales];
  
}

- (void)setZoomScales {

  CGSize boundsSize = self.scrollView.bounds.size;
  CGSize imageSize = self.imageView.bounds.size;
  
  CGFloat xScale = boundsSize.width / imageSize.width;
  CGFloat yScale = boundsSize.height / imageSize.height;
  CGFloat minScale = MIN(xScale, yScale);
  
  self.scrollView.minimumZoomScale = minScale;
  self.scrollView.zoomScale = minScale;
  self.scrollView.maximumZoomScale = 3.0;

}

- (void)viewWillLayoutSubviews {
  [self setZoomScales];
}

#pragma mark - UIScrollViewDelegate

- (UIView *)viewForZoomingInScrollView:(UIScrollView *)scrollView {
  return self.imageView;
}

@end
